#ifndef BYTEBUFFER_HPP_INCLUDED
#define BYTEBUFFER_HPP_INCLUDED

#include "Object.hpp"
#include <cstdint>

class ByteBuffer : public Object
{
    public:
        ByteBuffer();
        ByteBuffer(void* Obj);
        ByteBuffer(const ByteBuffer& B);

        std::int32_t GetCapacity() const;
        std::int8_t Get(std::int32_t Index) const;

};

#endif // BYTEBUFFER_HPP_INCLUDED
